Переполнение буфера в Qtpfsgui

Дата публикации:
10.08.2007
Дата изменения:
24.03.2009
Всего просмотров:
840
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
pfstools 1.x
Уязвимые версии: Qtpfsgui 1.8.11, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "readRadianceHeader()" в файле src/Fileformat/rgbeio.cpp. Удаленный пользователь может с помощью специально сформированного Radiance RGBE (*.hdr) файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: qtpfsgui.sourceforge.net

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Qtpfsgui "readRadianceHeader()" Buffer Overflow Vulnerability

или введите имя

CAPTCHA